//***************************************************************************//
//* FRIDA: fast reliable interactive data analysis                          *//
//* (C) Joachim Wuttke 1990-, v2(C++) 2001-                                 *//
//* http://apps.jcns.fz-juelich.de/frida                                    *//
//***************************************************************************//

//! \file  curve.hpp
//! \brief NCurveFile: Methods to create, inspect, modify curve files.


//! Methods to create, inspect, modify curve files.

namespace NCurveFile {

    void createFitcurve();
    void createFreecurve();
    void changeExpr();
    void changeRange();
    void setFileReference( const string& which );

    void setProperties( string which );
    void ParsLoop();
    void ParsAbs();
    void ParsCopy();
    void showPar();
    void editPar();
    void setFixed( bool fix );

    void getConv( PSpec *sv, int *kv, int *jv, int k, int j );
}
