//***************************************************************************//
//* FRIDA: fast reliable interactive data analysis                          *//
//* (C) Joachim Wuttke 2001-                                                *//
//* http://apps.jcns.fz-juelich.de/frida                                    *//
//***************************************************************************//

//! \file  geni.hpp
//! \brief Collection NGeni of generalized integral wrappers CGeni.


typedef boost::shared_ptr<class CResult> PResult;


//!  Function type: Evaluate generalized integral for given vector(s).

typedef void (*geni_eval) (double*, double*, int, const vector<PResult>& );


//! A wrapper holding a functional.

class CGeni {
 public:
    string name;
    int narg;
    geni_eval eval;
    string com;
    vector<PNode> def_arg;
    class CCoord coord( class CCoord *co ) const;
    class CCoord coord( class CCoord *co1, class CCoord *co2 ) const;
    CGeni( string _txt, int _narg, string _def,
           geni_eval _eval, string _com="" );
    void register_me() const;
};


//! Collection of function wrappers CFunc

namespace NGeni { // public (short) interface
    void initialize();
    const CGeni* find( string nam );
    void display_genis();
}
